=== debian/changelog ===
svt-av1 (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * License has changed from BSD-2-Clause to BSD-3-Clause-Clear

 -- Dylan Aïssi <daissi@debian.org>  Fri, 11 Feb 2022 21:34:35 +0100

svt-av1 (0.8.7+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.6.0 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 18 Jan 2022 11:43:57 +0100
