=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://gitlab.com/AOMediaCodec/SVT-AV1/tags?sort=updated_desc archive/v@ANY_VERSION@/SVT-AV1-v\d\S*@ARCHIVE_EXT@
