## svt-av1 0.9.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
                     "Please use the Build folder or create your own.")
 endif()
 
-project(svt-av1 VERSION 0.9.0
+project(svt-av1 VERSION 0.9.1
     LANGUAGES C CXX)
 
 if(POLICY CMP0063)
@@ -144,11 +144,6 @@
 option(REPRODUCIBLE_BUILDS "Disable use of certain C macros to always generate reproducable builds" ${EXCLUDE_HASH})
 option(BUILD_ENC "Build Encoder lib and app" ON)
 option(BUILD_DEC "Build Decoder lib and app" ON)
-if(WIN32)
-    set(DISABLE_REALTIME OFF CACHE bool "Disabled on Windows" FORCE)
-else()
-    option(DISABLE_REALTIME "Disable realtime support" OFF)
-endif()
 if(NOT BUILD_ENC AND NOT BUILD_DEC)
     message(FATAL_ERROR "Not building either the encoder and decoder doesn't make sense.")
 endif()
@@ -180,12 +175,6 @@
     set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
     set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
     set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${PGO_LINKER_FLAGS}")
-endif()
-
-if(DISABLE_REALTIME)
-    add_definitions(-DDISABLE_REALTIME=1)
-else()
-    add_definitions(-DDISABLE_REALTIME=0)
 endif()
 
 if(EXCLUDE_HASH)
@@ -227,10 +216,20 @@
     string(REGEX REPLACE "[^A-Za-z0-9]" "_" flag_var "${flag}")
     if(NOT DEFINED ${lang}_FLAG${flag_var})
         execute_process(COMMAND ${CMAKE_COMMAND} -E echo_append "-- Checking ${lang} flag support for: [${flag}] - ")
+        if(NOT MSVC AND CLANG)
+            set(STORE_CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
+            set(STORE_CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
+            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=unused-command-line-argument")
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=unused-command-line-argument")
+        endif()
         if("${lang}" STREQUAL "CXX")
             check_cxx_compiler_flag("${flag}" "${lang}_FLAG${flag_var}")
         else()
             check_c_compiler_flag("${flag}" "${lang}_FLAG${flag_var}")
+        endif()
+        if(NOT MSVC AND CLANG)
+            set(CMAKE_C_FLAGS "${STORE_CMAKE_C_FLAGS}")
+            set(CMAKE_CXX_FLAGS "${STORE_CMAKE_CXX_FLAGS}")
         endif()
         if(${lang}_FLAG${flag_var})
             execute_process(COMMAND ${CMAKE_COMMAND} -E echo "Yes")
@@ -314,10 +313,3 @@
     check_both_flags_add(TYPE DEBUG /Od)
 else()
     check_both_flags_add(PREPEND -Wall)
-    option(NATIVE "Build for native performance (march=native)" OFF)
-    if(NATIVE)
-        check_both_flags_add(-march=native)
-    endif()
-    if(MINGW)
-        check_both_flags_add(-mxsave -fno-asynchronous-unwind-tables)
-    else()
