=== Source/Lib/Decoder/CMakeLists.txt ===
--- 
+++ 
@@ -111,7 +111,10 @@
         PRIVATE EB_BUILDING_SHARED_LIBS)
     set(DEC_PKG_CONFIG_EXTRA_CFLAGS " -DEB_DLL")
 endif()
-install(TARGETS SvtAv1Dec DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+install(TARGETS SvtAv1Dec
+        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
 
 configure_file(pkg-config.pc.in ${CMAKE_BINARY_DIR}/SvtAv1Dec.pc @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/SvtAv1Dec.pc DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")
