=== Source/Lib/Encoder/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Shared Encoder Version
 set(ENC_VERSION_MAJOR 0)
 set(ENC_VERSION_MINOR 9)
-set(ENC_VERSION_PATCH 0)
+set(ENC_VERSION_PATCH 1)
 set(ENC_VERSION ${ENC_VERSION_MAJOR}.${ENC_VERSION_MINOR}.${ENC_VERSION_PATCH})
 
 if(UNIX)
@@ -142,7 +142,10 @@
         PRIVATE EB_BUILDING_SHARED_LIBS)
     set(ENC_PKG_CONFIG_EXTRA_CFLAGS " -DEB_DLL")
 endif()
-install(TARGETS SvtAv1Enc DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+install(TARGETS SvtAv1Enc
+        ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+        RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
 
 configure_file(pkg-config.pc.in ${CMAKE_BINARY_DIR}/SvtAv1Enc.pc @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/SvtAv1Enc.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
