=== debian/changelog ===
svt-av1 (0.9.1+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 16:34:31 -0700

svt-av1 (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix build on i386 by compiling only C code with no simds (Closes: #1004073)
  * Add missing license in d/copyright

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Mar 2022 15:01:26 +0100
