=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CONFIG_ARGS := -DCMAKE_BUILD_TYPE=Release \
               -DREPRODUCIBLE_BUILDS=ON

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (i386,$(DEB_HOST_ARCH))
CONFIG_ARGS += -DCOMPILE_C_ONLY=ON
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIG_ARGS}

override_dh_strip:
	dh_strip --no-automatic-dbgsym
